<ion-button (click)="editTitleAndDescription()" float-right ngbTooltip="Name, Beschreibung oder Belohnung bearbeiten" container="body" placement="top" [openDelay]="1000">
    <ion-icon name="create"> </ion-icon>
</ion-button>
<h1>
    Schnitzeljagd bearbeiten
</h1>
<h2>{{ hunt.title }} - <i>für {{ hunt.receiver.username }}</i></h2>
<p>Startet am {{ hunt.start | date : "d. MMMM y - HH:mm" }}</p>
<p> {{ hunt.description }} </p>
<p> Belohnung: {{ hunt.reward }} </p>

<app-riddle-edit-list (riddleDataChangedEvent)="onRiddleDataChanged()" [riddles]="hunt.riddles"></app-riddle-edit-list>

<ion-button (click)="createRiddle()">Rätsel Hinzufügen <ion-icon name="add"></ion-icon>
</ion-button>

<br>
<app-hunt-graph [huntID]="huntID"></app-hunt-graph>
<h2>Bearbeiter</h2>
<ion-card>
        <ion-card-content>
        Ich und...
        <ion-list>
            <ion-item *ngIf="hunt.editors.length === 0">
                <ion-label><i>Keine weiteren Bearbeiter</i></ion-label>
            </ion-item>
            <ion-item *ngFor="let editor of hunt.editors">
                <ion-label> {{ editor.username }}
                    <a (click)="onDeleteEditorPressed(editor)">
                        <ion-icon name="close"></ion-icon>
                    </a>
                </ion-label>
            </ion-item>
        </ion-list>
        <form [formGroup]="addEditorForm">
            <ion-input formControlName="editor" type="text" placeholder="Nutzername oder E-Mail">
            </ion-input>
            <ion-button (click)="onAddEditorFormSubmit()">Bearbeiter Hinzufügen <ion-icon name="add"></ion-icon>
            </ion-button>
        </form>
    </ion-card-content>
</ion-card>

<ion-button color="danger" (click)="removeHunt()">Schnitzeljagd löschen <ion-icon name="trash"> </ion-icon>
</ion-button>